#
# spec file for package python-PyMySQL
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-PyMySQL
Version:        0.6.6
Release:        5.5
Summary:        Pure Python MySQL Driver
License:        MIT
Group:          Development/Languages/Python
Url:            http://code.google.com/p/pymysql
Source:         https://pypi.python.org/packages/source/P/PyMySQL/PyMySQL-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
This package contains a pure-Python MySQL client library. Documentation on the
MySQL client/server protocol can be found here:
http://forge.mysql.com/wiki/MySQL_Internals_ClientServer_Protocol If you would
like to run the test suite, edit the config parameters in pymysql/tests/base.py.
The goal of pymysql is to be a drop-in replacement for MySQLdb and work on
CPython 2.3+, Jython, IronPython, PyPy and Python 3. We test for compatibility
by simply changing the import statements in the Django MySQL backend and running
its unit tests as well as running it against the MySQLdb and myconnpy unit tests.

%prep
%setup -q -n PyMySQL-%{version}
# remove unwanted shebang
sed -i '1 { /^#!/ d }' pymysql/tests/thirdparty/test_MySQLdb/*.py

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

#%%check
#NOTE(saschpe): Needs mysql server

%files
%defattr(-,root,root,-)
%{python_sitelib}/*

%changelog
* Mon May 11 2015 benoit.monin@gmx.fr
- update to version 0.6.6:
    Add context manager to cursor
  * Fix can't encode blob that is not utf-8 on PY3. (regression of
    0.6.4, Thanks to @wiggzz)
- additional changes from version 0.6.4
  * Support "LOAD LOCAL INFILE".  Thanks @wraziens
  * Show MySQL warnings after execute query.
  * Fix MySQLError may be wrapped with OperationalError while
    connectiong. (#274)
  * SSCursor no longer attempts to expire un-collected rows within
    __del__, delaying termination of an interrupted program;
    cleanup of uncollected rows is left to the Connection on next
    execute, which emits a warning at that time. (#287)
  * Support datetime and time with microsecond. (#303)
  * Use surrogateescape to format bytes on Python 3.
  * OperationalError raised from connect() have information about
    original exception. (#304)
  * `init_command` now support multi statement.
  * `Connection.escape()` method now accepts second argument
    compatible to MySQL-Python.
- additional changes from version 0.6.3
  * Fixed multiple result sets with SSCursor.
  * Fixed connection timeout.
  * Fixed literal set syntax to work on Py2.6.
  * Allow for mysql negative values with 0 hour timedelta.
  * Added Connection.begin().
- additional changes from version 0.6.2
  * Fixed old password on Python 3.
  * Added support for bulk insert in Cursor.executemany().
  * Added support for microseconds in datetimes and dates before
    1900.
  * Several other bug fixes.
- additional changes from version 0.6.1
  * Added cursor._last_executed for MySQLdb compatibility
  * Cursor.fetchall() and .fetchmany now return list, not tuple
  * Allow "length of auth-plugin-data" = 0
  * Cursor.connection references connection object without weakref
- remove unwanted shebang of python files in test_MySQLdb
* Wed Oct  9 2013 dmueller@suse.com
- update to 0.6:
  - Improved Py3k support
  - Improved PyPy support
  - Added IPv6 support
  - Added Thing2Literal for Django/MySQLdb compatibility
  - Removed errorhandler
  - Fixed GC errors
  - Improved test suite
  - Many bug fixes
  - Many performance improvements
* Mon Jul 22 2013 speilicke@suse.com
- Initial version
